Groovy Documentation

## org.codehaus.groovy.grails.web.mapping
[Java] Class AbstractUrlMappingInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo

All Implemented Interfaces:
  UrlMappingInfo

    @SuppressWarnings("rawtypes")
    public abstract class AbstractUrlMappingInfo

Abstract super class providing pass functionality for configuring a UrlMappingInfo.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary
`protected java.util.Map` | `params`

Method Summary
`void` | `configure(GrailsWebRequest webRequest)`
`protected java.lang.String` | `evaluateNameForValue(java.lang.Object value)`
`protected java.lang.String` | `evaluateNameForValue(java.lang.Object value, GrailsWebRequest webRequest)`
`protected void` | `populateParamsForMapping(GrailsWebRequest webRequest)` Populates request parameters for the given UrlMappingInfo instance using the GrailsWebRequest

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### params

    protected java.util.Map params

Method Detail

### configure

    public void configure(GrailsWebRequest webRequest)

### evaluateNameForValue

    protected java.lang.String evaluateNameForValue(java.lang.Object value)

### evaluateNameForValue

    protected java.lang.String evaluateNameForValue(java.lang.Object value, GrailsWebRequest webRequest)

### populateParamsForMapping

    @SuppressWarnings("unchecked")
    protected void populateParamsForMapping(GrailsWebRequest webRequest)

  Populates request parameters for the given UrlMappingInfo instance using the GrailsWebRequest
  Parameters:
    `webRequest` - The Map instance
  See Also:
    GrailsWebRequest

Groovy Documentation